### File

`packages/core/src/lib/services/dynamic-menu/dynamic-menu.service.ts`

### Index

###### Properties
menuLinks
###### Methods
filterEuiMenuItemsWithRights getMenuLinks

### Constructor

`constructor()`

### Methods

filterEuiMenuItemsWithRights
`filterEuiMenuItemsWithRights(links: Array)`
Parameters :
Name | Type | Optional
links | `Array<EuiMenuItem>` | No
Returns : `Array<EuiMenuItem>`

getMenuLinks
`getMenuLinks()`
Returns : `EuiMenuItem[]`

### Properties

menuLinks
Type : `Array<EuiMenuItem>`
Default value : `[]`

# results matching ""

# No results matching ""